# upnp.addPortMapping Add a port mapping to gateway using UPnP
Usage
    upnp.addPortMapping [-a=<fake address>] <port>
Description
Makes a request to the gateway of the local network using UPnP; the request asks the gateway to add an entry in its port mapping table. If the gateway accepts the request, it will forward packets received on <port> on its external (wan) ip address to the host KVIrc is running at, on the same <port>. Depending on vendors, this is called with different names: Port forwarding, SUA, Virtual Server, PAT, ... It's better to check is a gateway has been found using $upnp.isgatewayavailable before using this function.
Switches
-a=<fake address> | --fake-address=<fake address>
Send the <fake address> as target for the port mapping If this switch is not given, the request will contain the real IP address of the listening interface.
Syntax Specification
    upnp.addPortMapping [-a=<fake address>] <port>
See also
$upnp.isgatewayavailable, upnp.delportmapping

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by builduser at Mon Mar 13 18:15:52 2017